<ion-header>
    <ion-toolbar mode="ios" class="header-page" color="light">
        <ion-buttons slot="start">
            <ion-button (click)="this.commonMethodsTs.goBack()">
                <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
            </ion-button>
        </ion-buttons>
        <ion-title>
            {{data.Id == -1? 'Thêm menu':'Chi tiết menu'}}
        </ion-title>
        <ion-buttons slot="end">
            <ion-button (click)="saveData()">
                Lưu
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="background-content">
    <ion-grid fixed class="ion-no-padding">
        <ion-list margin-bottom-content class="card-trans-info">
            <dailyxe-ion-img [(ngModel)]="data.IdFileDaiDien" (onChangeImage)="this.data.UrlHinhDaiDien = $event">
            </dailyxe-ion-img>
        </ion-list>
        <ion-list margin-bottom-content>
            <ion-item>
                <ion-label position="stacked">Tên menu (<span class="custom-span">*</span>)</ion-label>
                <ion-input [(ngModel)]="data.TenMenu" placeholder="Ví dụ: Xe bán tải..."></ion-input>
            </ion-item>
            <ion-item>
                <ion-label position="stacked">Vị trí menu</ion-label>
                <ion-select *ngIf="listMenu" [(ngModel)]="data.IdMenuParent" placeholder="Chọn" okText="Chọn"
                    cancelText="Hủy">
                    <ion-select-option [value]=0>Gốc</ion-select-option>
                    <ion-select-option *ngFor="let item of listMenu" [value]="item.Id">{{item.TenMenu_Ext}}
                    </ion-select-option>
                </ion-select>
            </ion-item>
            <ion-item>
                <ion-label position="stacked">Mô tả trang</ion-label>
                <ion-textarea auto-grow="true" rows="1" [(ngModel)]="data.MoTaTrang" placeholder="Nhập mô tả trang...">
                </ion-textarea>
            </ion-item>
            <ion-item>
                <ion-label position="stacked">Ghi chú</ion-label>
                <ion-textarea auto-grow="true" rows="1" [(ngModel)]="data.GhiChu" placeholder="Nhập ghi chú...">
                </ion-textarea>
            </ion-item>
            <ion-radio-group class="custom-radio" value="{{data.TrangThai}}" (ionChange)="trangThaiChange($event)">
                <ion-list-header>
                    <ion-label>Trạng thái</ion-label>
                </ion-list-header>
                <ion-item>
                    <ion-label>Hiện</ion-label>
                    <ion-radio slot="start" value="1"></ion-radio>
                </ion-item>
                <ion-item>
                    <ion-label>Ẩn</ion-label>
                    <ion-radio slot="start" value="2"></ion-radio>
                </ion-item>
            </ion-radio-group>
        </ion-list>
        <ion-list margin-bottom-content>
            <ion-item>
                <ion-button *ngIf="data && data.Id != -1" size="default" style="width: 100%" expand="block" color="primary" (click)="xoaMenu()">
                    Xoá menu
                </ion-button>
            </ion-item>
        </ion-list>
    </ion-grid>
</ion-content>